netatalk: main.c File Reference

netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
main.c File Reference
`#include <errno.h>`
`#include <poll.h>`
`#include <signal.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <sys/param.h>`
`#include <sys/resource.h>`
`#include <sys/socket.h>`
`#include <sys/time.h>`
`#include <sys/uio.h>`
`#include <sys/wait.h>`
`#include <atalk/adouble.h>`
`#include <atalk/afp.h>`
`#include <atalk/atp.h>`
`#include <atalk/asp.h>`
`#include <atalk/compat.h>`
`#include <atalk/dsi.h>`
`#include <atalk/errchk.h>`
`#include <atalk/globals.h>`
`#include <atalk/logger.h>`
`#include <atalk/nbp.h>`
`#include <atalk/netatalk_conf.h>`
`#include <atalk/server_child.h>`
`#include <atalk/server_ipc.h>`
`#include <atalk/util.h>`
`#include "afp_config.h"`
`#include "afpstats.h"`
`#include "fork.h"`
`#include "status.h"`
`#include "uam_auth.h"`

## Macros
#define | ASEV_THRESHHOLD 10
#define | WAIT_ANY (-1)

## Functions
static afp_child_t * | dsi_start (AFPObj *obj, DSI *dsi, server_child_t *server_children)
static afp_child_t * | asp_start (AFPObj *obj, server_child_t *server_children)
static void | asp_cleanup (const AFPObj *obj)
static void | afp_exit (int ret)
static bool | init_listening_sockets (const AFPObj *dsiconfig, const AFPObj *aspconfig)
static bool | reset_listening_sockets (const AFPObj *dsiconfig, const AFPObj *aspconfig)
static void | afp_goaway (int sig)
static void | child_handler (void)
static int | setlimits (void)
int | main (int ac, char **av)

## Variables
unsigned char | nologin = 0
static AFPObj | dsi_obj
static AFPObj | asp_obj
static server_child_t * | server_children
static sig_atomic_t | reloadconfig = 0
static sig_atomic_t | gotsigchld = 0
static struct asev * | asev
static int | afpstats_listen_fd = -1

## Macro Definition Documentation

## ◆ ASEV_THRESHHOLD

#define ASEV_THRESHHOLD 10

## ◆ WAIT_ANY

#define WAIT_ANY (-1)

## Function Documentation

## ◆ afp_exit()

void afp_exit | ( | int | ret | ) |
| static

## ◆ afp_goaway()

void afp_goaway | ( | int | sig | ) |
| static

## ◆ asp_cleanup()

void asp_cleanup | ( | const AFPObj * | obj | ) |
| static

## ◆ asp_start()

afp_child_t * asp_start | ( | AFPObj * | obj,
|  | server_child_t * | server_children )
| static

## ◆ child_handler()

void child_handler | ( | void |  | ) |
| static

## ◆ dsi_start()

afp_child_t * dsi_start | ( | AFPObj * | obj,
|  | DSI * | dsi,
|  | server_child_t * | server_children )
| static

## ◆ init_listening_sockets()

bool init_listening_sockets | ( | const AFPObj * | dsiconfig,
|  | const AFPObj * | aspconfig )
| static

## ◆ main()

int main | ( | int | ac,
|  | char ** | av )

## ◆ reset_listening_sockets()

bool reset_listening_sockets | ( | const AFPObj * | dsiconfig,
|  | const AFPObj * | aspconfig )
| static

## ◆ setlimits()

int setlimits | ( | void |  | ) |
| static

## Variable Documentation

## ◆ afpstats_listen_fd

int afpstats_listen_fd = -1
| static

## ◆ asev

struct asev* asev
| static

## ◆ asp_obj

AFPObj asp_obj
| static

## ◆ dsi_obj

AFPObj dsi_obj
| static

## ◆ gotsigchld

sig_atomic_t gotsigchld = 0
| static

## ◆ nologin

unsigned char nologin = 0

## ◆ reloadconfig

sig_atomic_t reloadconfig = 0
| static

## ◆ server_children

server_child_t* server_children
| static